VSTGUI: ExchangeViewAnimation Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ExchangeViewAnimation Class Reference
Animation Targets | Version 4.0

exchange a view by another view with an animation More...

Inheritance diagram for ExchangeViewAnimation:

## Public Types
enum | AnimationStyle { kAlphaValueFade = 0, kPushInFromLeft, kPushInFromRight, kPushInFromTop, kPushInFromBottom, kPushInOutFromLeft, kPushInOutFromRight }

## Public Member Functions
| ExchangeViewAnimation (CView *oldView, CView *newView, AnimationStyle style=kAlphaValueFade)
| oldView must be a subview of the animation view
| ~ExchangeViewAnimation () noexceptoverride
void | animationStart (CView *view, IdStringPtr name) override
| animation starts
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Member Functions
void | init ()
void | doAlphaFade (float pos)
void | doPushInFromLeft (float pos)
void | doPushInFromRight (float pos)
void | doPushInFromTop (float pos)
void | doPushInFromBottom (float pos)
void | doPushInOutFromLeft (float pos)
void | doPushInOutFromRight (float pos)
void | updateViewSize (CView *view, const CRect &rect)

## Protected Attributes
SharedPointer< CView > | newView
SharedPointer< CView > | viewToRemove
AnimationStyle | style
float | newViewAlphaValueEnd
float | oldViewAlphaValueStart
CRect | destinationRect

## Detailed Description

exchange a view by another view with an animation

see Animations Support

## Member Enumeration Documentation

enum AnimationStyle

Enumerator
kAlphaValueFade |
kPushInFromLeft |
kPushInFromRight |
kPushInFromTop |
kPushInFromBottom |
kPushInOutFromLeft |
kPushInOutFromRight |

## Constructor & Destructor Documentation

ExchangeViewAnimation | ( | CView * | oldView,
|  | CView * | newView,
|  | AnimationStyle | style = `kAlphaValueFade`
| ) |  |

oldView must be a subview of the animation view

~ExchangeViewAnimation | ( |  | ) |
| overridenoexcept

## Member Function Documentation

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled
| ) |  |
| overridevirtual

animation ended

Implements IAnimationTarget.

void animationStart | ( | CView * | view,
|  | IdStringPtr | name
| ) |  |
| overridevirtual

animation starts

Implements IAnimationTarget.

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos
| ) |  |
| overridevirtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

void doAlphaFade | ( | float | pos | ) |
| protected

void doPushInFromBottom | ( | float | pos | ) |
| protected

void doPushInFromLeft | ( | float | pos | ) |
| protected

void doPushInFromRight | ( | float | pos | ) |
| protected

void doPushInFromTop | ( | float | pos | ) |
| protected

void doPushInOutFromLeft | ( | float | pos | ) |
| protected

void doPushInOutFromRight | ( | float | pos | ) |
| protected

void init | ( |  | ) |
| protected

void updateViewSize | ( | CView * | view,
|  | const CRect & | rect
| ) |  |
| protected

## Member Data Documentation

CRect destinationRect
| protected

SharedPointer<CView> newView
| protected

float newViewAlphaValueEnd
| protected

float oldViewAlphaValueStart
| protected

AnimationStyle style
| protected

SharedPointer<CView> viewToRemove
| protected

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp